Skip to main content
DELETE
/
v1alpha1
/
inference
/
deployments
/
{id}
Delete a deployment
curl --request DELETE \
  --url https://api.example.com/v1alpha1/inference/deployments/{id}
{
  "deployment": {
    "spec": {
      "id": "<string>",
      "name": "<string>",
      "gatewayIds": [
        "<string>"
      ],
      "runtime": {
        "engine": "<string>",
        "version": "<string>",
        "engineConfig": {}
      },
      "resources": {
        "instanceType": "<string>",
        "gpuCount": 123
      },
      "model": {
        "name": "<string>",
        "bucket": "<string>",
        "path": "<string>"
      },
      "autoscaling": {
        "min": 123,
        "max": 123,
        "priority": 123,
        "capacityClasses": [
          123
        ],
        "concurrency": 123
      },
      "traffic": {
        "weight": 123
      },
      "organizationId": "<string>",
      "disabled": true
    },
    "status": {
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "status": 123,
      "conditions": [
        {
          "type": "<string>",
          "status": 123,
          "lastUpdateTime": "2023-11-07T05:31:56Z",
          "reason": "<string>",
          "message": "<string>",
          "zone": "<string>"
        }
      ]
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

The ID of the deployment to delete

Response

OK

Response for DeleteDeployment

deployment
object

The deployment that was deleted

Last modified on May 6, 2026